import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';

import { MenuItems } from '@components/shared';
import { QcmComponent } from './qcm.component';

describe('QcmComponent', () => {
  let component: QcmComponent;
  let fixture: ComponentFixture<QcmComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [QcmComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        MenuItems,
      ],
    });
    fixture = TestBed.createComponent(QcmComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
